# Speakers

Speakers

## Creates a new speaker record that does not already exist.

 - [POST /speakers/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/createspeaker.md): This method will auto-generate an ID and create a new speaker. If an ID is specified for the speaker, an error will be thrown.

## Execute Batch Operations

 - [POST /speakers/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a list of records with the specified contact_id

 - [GET /speakers/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/listspeakersbycontactid.md): Returns a list of records with the specified contact_id

## Returns a list of records with the specified event_id

 - [GET /speakers/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/listspeakersbyeventid.md): Returns a list of records with the specified event_id

## Returns a list of records with the specified event_id

 - [GET /speakers/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/describespeakersforevent.md): Returns a list of records with the specified event_id

## Returns a speaker from the system by its ID.

 - [GET /speakers/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/publicgetspeaker.md): This method will look up a speaker by the specified ID and return it back.

## Searches for speakers using predefined parameters

 - [POST /speakers/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/searchforspeakers.md): Searches for speakers using predefined parameters

## Returns a speaker from the system by its ID.

 - [DELETE /speakers/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/deletespeaker.md): This method will delete a speaker with the specified ID.

## Returns a speaker from the system by its ID.

 - [GET /speakers/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/getspeaker.md): This method will look up a speaker by the specified ID and return it back.

## Partially updates a speaker with the specified ID.

 - [PATCH /speakers/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/patchspeaker.md): This method will patch an existing speaker with the specified ID, using the HTTP PATCH specification.

## Updates a speaker with the specified ID.

 - [PUT /speakers/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speakers/updatespeaker.md): This method will update an existing speaker with the specified ID.

